FreeMat

- Main Page
- Related Pages

vtkOpenGLImageMapper

Section: Visualization Toolkit Rendering Classes

# Usage

vtkOpenGLImageMapper is a concrete subclass of vtkImageMapper that renders images under OpenGL

To create an instance of class vtkOpenGLImageMapper, simply invoke its constructor as follows

      obj = vtkOpenGLImageMapper

# Methods

The class vtkOpenGLImageMapper has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkOpenGLImageMapper class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkOpenGLImageMapper = obj.NewInstance ()`
- `vtkOpenGLImageMapper = obj.SafeDownCast (vtkObject o)`
- `obj.RenderOverlay (vtkViewport viewport, vtkActor2D actor)` - Called by the Render function in vtkImageMapper. Actually draws the image to the screen.
- `obj.RenderData (vtkViewport viewport, vtkImageData data, vtkActor2D actor)` - Called by the Render function in vtkImageMapper. Actually draws the image to the screen.